#pragma once

#include "CoreMinimal.h"
#include "KillerProjectileLauncher.h"
#include "TunableStat.h"
#include "K15ProjectileLauncher.generated.h"

class UCurveFloat;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UK15ProjectileLauncher : public UKillerProjectileLauncher
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FTunableStat _launchVelocity;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UCurveFloat* _vomitPitchCurve;

public:
	UK15ProjectileLauncher();
};

FORCEINLINE uint32 GetTypeHash(const UK15ProjectileLauncher) { return 0; }
